import { BaseField } from '../../BaseField';
declare type InputType = 'stars' | 'select' | 'radio';
export declare class RangeField extends BaseField {
  static type: string;
  step: number;
  max: number;
  min: number;
  inputType: InputType;
  constructor(id: string, title: string, description?: string, step?: number, min?: number, max?: number);
  showPreview(): BaseField;
  getDisplayValue(value: any): any;
  setInputType(inputType: InputType): RangeField;
}
export {};
